#ifndef LIB_ERROR_FUNCTIONS_IMPORT_MQH_INCLUDED
#define LIB_ERROR_FUNCTIONS_IMPORT_MQH_INCLUDED
#property version "4.0";
/**********************************************************************************
 * Copyright (C) 2010-2020 Dominik Egert <dominik.egert@freie-netze.de>
 *
 * This file is part of lib_bali
 *
 * lib_error.mqh may be copied and/or distributed at free will
 * Dominik Egert / Freie Netze UG.
 **********************************************************************************
 *
 *  Version 4.0
 *  State: public
 *
 *
 *
 *
 *
 *
 *
*/



//*********************************************************************************************************************************************************/
// Global error handler import declaration
//
#ifdef LIB_ERR_LIB_IMPORT
    #ifdef __MQL4_COMPATIBILITY_CODE__
		#import "Shared Projects/LibError/LibError.ex4"

    #else
		#import "Shared Projects/LibError/LibError.ex5"
        namespace LibError
        {

    #endif


    /////////////////////////////////////////////////////////////////////
    //
    //  Library imports
    //

        void    LIB_ERR_NAMESPACE_DEF(LibError, SetMqlErrorCode)(               const uint          err_code,
                                                                                const string        comment = "",
                                                                                const string        comment1 = "",
                                                                                const string        comment2 = "",
                                                                                const string        comment3 = "",
                                                                                const string        comment4 = "",
                                                                                const string        comment5 = "",
                                                                                const string        comment6 = "",
                                                                                const string        comment7 = "",
                                                                                const string        comment8 = "",
                                                                                const string        comment9 = "",
                                                                                const string        commentA = "",
                                                                                const string        commentB = "",
                                                                                const string        commentC = "",
                                                                                const string        commentD = "",
                                                                                const string        commentE = "",
                                                                                const string        commentF = "");

        bool    LIB_ERR_NAMESPACE_DEF(LibError, SetUserErrorCode)(              const uint          err_code,
                                                                                const string        comment = "",
                                                                                const string        comment1 = "",
                                                                                const string        comment2 = "",
                                                                                const string        comment3 = "",
                                                                                const string        comment4 = "",
                                                                                const string        comment5 = "",
                                                                                const string        comment6 = "",
                                                                                const string        comment7 = "",
                                                                                const string        comment8 = "",
                                                                                const string        comment9 = "",
                                                                                const string        commentA = "",
                                                                                const string        commentB = "",
                                                                                const string        commentC = "",
                                                                                const string        commentD = "",
                                                                                const string        commentE = "",
                                                                                const string        commentF = "");

        void    LIB_ERR_NAMESPACE_DEF(LibError, ResetUserErrorCode)();

        string  LIB_ERR_NAMESPACE_DEF(LibError, ResolveLastErrorCode)();
        string  LIB_ERR_NAMESPACE_DEF(LibError, ResolveLastErrorCode)(          int&                error_code);
        int     LIB_ERR_NAMESPACE_DEF(LibError, ResolveLastErrorCode)(          string&             error_msg);
        string  LIB_ERR_NAMESPACE_DEF(LibError, ResolveLastErrorCode)(          const int           error_code,
                                                                                const string        prefix);

        int     LIB_ERR_NAMESPACE_DEF(LibError, GetLastErrorCode)();
        int     LIB_ERR_NAMESPACE_DEF(LibError, GetLastResolvedErrorCode)();

        bool    LIB_ERR_NAMESPACE_DEF(LibError, RegisterErrorCodeResolver)(     const ushort        group_id,
                                                                                const TUsrErrFunc   resolver_func_ptr);


    //
    /////////////////////////////////////////////////////////////////////
    #ifndef __MQL4_COMPATIBILITY_CODE__
        }; // END Namespace LibError

    #endif
    #import

#endif
//
// END Global error handler import declaration
//*********************************************************************************************************************************************************/



/**************************************/
#endif // LIB_ERROR_FUNCTIONS_IMPORT_MQH_INCLUDED
